# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname django-avatar
%global git_date    20110709
%global git_version 097ed8

Name:		python-module-django-avatar
Version:	2.0a1
Release:	alt1_7.%{git_date}git%{git_version}
Summary:	A django module for handling user avatars

Group:		Development/Python
License:	BSD
URL:		http://pypi.python.org/pypi/django-avatar/

# git clone https://github.com/ericflo/django-avatar.git 
# cd django-avatar;
# git archive --format=tar HEAD | xz  > django-avatar-{version}.{git_date}git{git_version}.tar.xz

Source0:	%{oldname}-%{version}.%{git_date}git%{git_version}.tar.xz
BuildArch:	noarch
BuildRequires:	python-module-setuptools
BuildRequires:	python-devel
Source44: import.info


%description
Django-avatar is a reusable application for handling user avatars. It has the
ability to default to Gravatar if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your
default file storage back-end for retrieval later.

%prep
%setup -n %{oldname}-%{version} -q -cn %{oldname}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}
%find_lang django

%files -f django.lang
%doc CHANGELOG CONTRIBUTORS.txt README.txt LICENSE.txt
%{python_sitelibdir_noarch}/avatar/
%{python_sitelibdir_noarch}/*.egg-info/

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0a1-alt1_7.20110709git097ed8
- update to new release by fcimport

* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 2.0a1-alt1_6.20110709git097ed8
- initial fc import

